# handlers.h File Reference

`#include <ptlib.h>`
`#include <opal/buildopts.h>`
`#include <opal/pres_ent.h>`
`#include <sip/sippdu.h>`

Include dependency graph for handlers.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures

class | SIPHandlerBase
| Separate base class to allow searching sorted list. More...
class | SIPHandler
class | SIPRegisterHandler
class | SIPSubscribeHandler
class | SIPNotifyHandler
class | SIPPublishHandler
class | SIPMessageHandler
class | SIPPingHandler
class | SIPHandlersList
struct | SIPDialogNotification
struct | SIPDialogNotification::Participant
class | SIPRegNotification